import { localize } from 'vscode/vscode/vs/nls';
import { CHAT_PROVIDER_ID } from '../common/chatParticipantContribTypes.js';

async function showChatView(viewsService) {
    return (await viewsService.openView(CHAT_VIEW_ID))?.widget;
}
const GeneratingPhrase = ( localize(7395, "Generating"));
const CHAT_VIEW_ID = `workbench.panel.chat.view.${CHAT_PROVIDER_ID}`;
const EDITS_VIEW_ID = 'workbench.panel.chat.view.edits';

export { CHAT_VIEW_ID, EDITS_VIEW_ID, GeneratingPhrase, showChatView };
