import { localize } from 'vscode/vscode/vs/nls';

const ScreenshotVariableId = 'screenshot-focused-window';
function convertBufferToScreenshotVariable(buffer) {
    return {
        id: ScreenshotVariableId,
        name: ( localize(9984, 'Screenshot')),
        value: ( (new Uint8Array(buffer))),
        isImage: true,
        isDynamic: true
    };
}

export { ScreenshotVariableId, convertBufferToScreenshotVariable };
